<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">

	<title>HTML Tables and Forms</title>
</head>
<body >
	<div id="header">
		<h2>HTML Entities</h2>
		<p><em>Reserved characters in HTML (e.g. &lt;  or &gt; characters 	that can mix up with HTML code).</em></p>
	</div>


	<div id="main">
		
	</div>

	<!-- Defines or create a HTML table -->
	<table border="1">
		<!-- title header -->
		<thead>
			<tr>
				<th colspan="2">Entity</th>	
				<th>Description</th>	
			</tr>
		</thead>

		<!-- table body use to group data -->
		<tbody>
			<!-- row1 less than-->
			<tr>
				<!-- define table data in a row -->
				<td>&lt;</td>
				<td>lt</td>
				<td>less than</td>
			</tr>

			<!-- row2 greater than-->
			<tr>
				<td>&gt;</td>
				<td>gt</td>
				<td>Greater than</td>
			</tr>

			<!-- row3 peso sigm-->
			<tr>
				<td>&#8369;</td>
				<td>#8369</td>
				<td>Peso sign</td>
			</tr>

			<!-- row4 Ampersand-->
			<tr>
				<td>&amp;</td>
				<td>amp</td>
				<td>Ampersand</td>
			</tr>

			<!-- row5 double quotation-->
			<tr>
				<td>&quot;</td>
				<td>quot</td>
				<td>Double quotation mark</td>
			</tr>

			<!-- row6  apostrophy-->
			<tr>
				<td>&apos;</td>
				<td>apos</td>
				<td>Single quotation mark</td>
			</tr>

			<!-- row7  lower enye-->
			<tr>
				<td>&ntilde;</td>
				<td>ntilde</td>
				<td>lower tilde</td>
			</tr>

			<!-- row8  upper enye-->
			<tr>
				<td>&Ntilde;</td>
				<td>Ntilde</td>
				<td>Upper tilde</td>
			</tr>
		</tbody>

		<!-- tfoot -->
		<tfoot>
			<tr>
				<th colspan="3">List of HTML Entities</th>
			</tr>
		</tfoot>
	</table>

	<hr>
	<!-- ------------------------------------ -->
	<div id="section">
		<h2>HTML FORMS</h2>
		<p><em>Inputs elements that make up a form</em></p>

		<!-- creates a HTML form to capture user input -->
	<form action="https://google.com">

		<!-- label field for fullname -->
		<label for="fullName">Full Name: </label> <br>
		<input type="text" name="fullName" id="fullName" required> <br>


		<br><label for="birthDate">Birth Date: </label> <br>
		<input type="date" name="birthDate" id="birthDate" required> <br>

		<br>
		<!-- age -->
		<label for="age">Age</label><br>
		<input type="number" name="age" id="age" required> <br>

		<!-- select gender -->
		<br><label for="gender">Gender</label><br>
		<!-- create a drop down menu -->
		<select name="gender" id="gender">
			<!-- option for dropdown -->
			<option>Please select below</option>
			<option value="Male">Male</option>
			<option value="Female">Female</option>
		</select><br>


		<!--  -->
		<br><label>New user:</label><br>
		<!-- radio button relational button -->

		<!-- yes radio button -->
		<input type="radio" name="userType" id="newUser" value="yes">
		<label for="#newUser">Yes</label><br>

		<!-- no radio buttion -->
		<input type="radio" name="userType" id="oldUser" value="no">
		<label for="#oldUser">No</label><br><br>

		<!--Notes   -->
		<label for="notes">Notes: </label><br>
		<textarea name="notes" id="notes" rows="5"></textarea><br><br>

		<!-- checkbox  -->
		<label>Role: </label><br>

		<!-- role1 -->
		<input type="checkbox" name="role1" id="role1" value="Developer">
		<label for="role1">Developer</label>	

		<!-- role2 -->
		<input type="checkbox" name="role1" id="role2" value="Student">
		<label for="role2">Student</label>	

		<!-- role3 -->
		<input type="checkbox" name="role1" id="role3" value="Manager">
		<label for="role3">Manager</label><br>	

		
		<!-- buttons -->
		<br><button type="submit">Submit</button> <br>
		<button type="reset">Reset</button>
	</form>
	</div>

	

	

</body>
</html>